[svn-commits] sruffell: tools/trunk r4578 - /tools/trunk/

SVN commits to the Digium repositories svn-commits at lists.digium.com
Tue Jul 8 16:10:03 CDT 2008


Author: sruffell
Date: Tue Jul  8 16:10:02 2008
New Revision: 4578

URL: http://svn.digium.com/view/dahdi?view=rev&rev=4578
Log:
- Renamed init.conf to init.conf.sample
- Added /etc/dahdi/modules file that contains comments or the names of modules
  to load.
- Removed the MODULES variable from /etc/dahdi/init.conf.

Added:
    tools/trunk/init.conf.sample
      - copied unchanged from r4564, tools/trunk/init.conf
    tools/trunk/modules.sample   (with props)
Removed:
    tools/trunk/init.conf
Modified:
    tools/trunk/Makefile
    tools/trunk/dahdi.init

Modified: tools/trunk/Makefile
URL: http://svn.digium.com/view/dahdi/tools/trunk/Makefile?view=diff&rev=4578&r1=4577&r2=4578
==============================================================================
--- tools/trunk/Makefile (original)
+++ tools/trunk/Makefile Tue Jul  8 16:10:02 2008
@@ -63,6 +63,7 @@
   COPY_INITD	:= install -D dahdi.init $(INIT_TARGET)
 endif
 RCCONF_FILE	= /etc/dahdi/init.conf
+MODULES_FILE	= /etc/dahdi/modules
 
 NETSCR_DIR	:= $(firstword $(wildcard /etc/sysconfig/network-scripts ))
 ifneq (,$(NETSCR_DIR))
@@ -256,7 +257,10 @@
 	$(COPY_INITD)
 endif
 ifeq (,$(wildcard $(DESTDIR)$(RCCONF_FILE)))
-	$(INSTALL) -D -m 644 init.conf $(DESTDIR)$(RCCONF_FILE)
+	$(INSTALL) -D -m 644 init.conf.sample $(DESTDIR)$(RCCONF_FILE)
+endif
+ifeq (,$(wildcard $(DESTDIR)$(MODULES_FILE)))
+	$(INSTALL) -D -m 644 modules.sample $(DESTDIR)$(MODULES_FILE)
 endif
 ifneq (,$(COPY_NETSCR))
 	$(COPY_NETSCR)

Modified: tools/trunk/dahdi.init
URL: http://svn.digium.com/view/dahdi/tools/trunk/dahdi.init?view=diff&rev=4578&r1=4577&r2=4578
==============================================================================
--- tools/trunk/dahdi.init (original)
+++ tools/trunk/dahdi.init Tue Jul  8 16:10:02 2008
@@ -148,21 +148,27 @@
 # See how we were called.
 case "$1" in
   start)
-	# Load drivers
-	if [ -z $MODULES ]; then
-		echo "There aren't any DAHDI hardware modules specified to "
-		echo "load.  Please update /etc/dahdi/init.conf in order to "
-		echo "specify the modules to load."
-		exit 1
-	fi
-	echo -n "Loading DAHDI hardware modules:"
-	for x in $MODULES; do 
-		eval localARGS="\$${x}_ARGS"
-		if modprobe ${x} ${localARGS} 2> /dev/null; then
-			echo -n " $x"
-			echo "."
+	MODULES=""
+	cat "/etc/dahdi/modules" | grep "^[^\#]" | {
+		foundone=false
+		echo -ne $"Loading DAHDI hardware modules:\n"
+		while read line; do
+			foundone=true
+			echo -ne $"   ${line}..."
+			if ! modprobe $line 2> /dev/null; then
+				echo -ne $"ERROR\n"
+			else
+				echo -ne $"DONE\n"
+			fi
+		done
+		echo -ne $"\n"
+		if ! $foundone; then
+			echo "There aren't any DAHDI hardware modules specified to "
+			echo "load.  Please update /etc/dahdi/modules in order to "
+			echo "specify the modules to load."
+			exit 1
 		fi
-	done
+	}
 	TMOUT=$DAHDI_DEV_TIMEOUT # max secs to wait
 	while [ ! -d /dev/dahdi ] ; do
  		sleep 1
@@ -204,11 +210,10 @@
   stop)
 	# Unload drivers
 	#shutdown_dynamic # FIXME: needs test from someone with dynamic spans
-	echo -n "Unloading DAHDI hardware drivers:"
+	echo -ne $"Unloading DAHDI hardware drivers:"
   	unload_module dahdi
 	RETVAL=$?
-	echo "."
-
+	echo -ne $" DONE\n"
 	if [ "$LOCKFILE" != '' ]; then
 		[ $RETVAL -eq 0 ] && rm -f $LOCKFILE
 	fi

Added: tools/trunk/modules.sample
URL: http://svn.digium.com/view/dahdi/tools/trunk/modules.sample?view=auto&rev=4578
==============================================================================
--- tools/trunk/modules.sample (added)
+++ tools/trunk/modules.sample Tue Jul  8 16:10:02 2008
@@ -1,0 +1,37 @@
+# Contains the list of modules to be loaded / unloaded by /etc/init.d/dahdi.
+#
+# NOTE:  Please add/edit /etc/modprobe.d/dahdi or /etc/modprobe.conf if you 
+#        would like to add any module parameters.
+#
+
+# TE405P - Quad Span T1/E1 Card (5v version)
+# TE410P - Quad Span T1/E1 Card (3.3v version)
+wct4xxp
+
+# TE120P - Single Span T1/E1 Card
+wcte12xp
+
+# T100P - Single Span T1 Card
+# E100P - Single Span E1 Card
+wct1xxp
+
+# TE110P - Single Span T1/E1 Card
+wcte11xp
+
+# TDM2400P - Modular FXS/FXO interface (1-24 ports)
+# TDM410P  - Modular FXS/FXO interface (4 ports)
+# TDM800P  - Modular FXS/FXO interface (8 ports)
+wctdm24xxp
+
+# X100P - Single port FXO interface
+# X101P - Single port FXO interface 
+wcfxo
+
+# TDM400P - Modular FXS/FXO interface (1-4 ports)
+wctdm
+
+# DAHDI timing only interface
+dahdi_dummy
+
+# Xorcom Astribank Device
+xpp_usb

Propchange: tools/trunk/modules.sample
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: tools/trunk/modules.sample
------------------------------------------------------------------------------
    svn:keywords = Author Date Id Revision

Propchange: tools/trunk/modules.sample
------------------------------------------------------------------------------
    svn:mime-type = text/plain




More information about the svn-commits mailing list